/*  */
function mode_candel_detail(path, sval, mode, dform, ditem, dedit, demsg, selector, fow) {
	var loary = JSON.parse(return_language_str(path, sval, mode, '', ''));
	if ($(dform+' '+dedit).val() == 'disabled') {
		if (demsg != '') alert(((loary['U_CAN_NOT_DEL_NOW']) ? loary['U_CAN_NOT_DEL_NOW'] : 'U_CAN_NOT_DEL_NOW')+'!');
	} else {
		var type = false;
		if (demsg == '') {
			type = true;
		} else {
			if (confirm(((loary[demsg]) ? loary[demsg] : demsg))) {
				type = true;
			} else {
				type = false;
			}
		}
		if (type) {
			selector.closest('tr').remove();
			$(dform+' input[name="'+ditem+'_DERI[]"]').each( function() {
				$(dform+' #SERNO_'+$(this).val()).val($(this).closest('tr').index()+1);
				$(dform+' #SERNO_'+$(this).val()).attr('value',$(this).closest('tr').index()+1);
				$(dform+' #SERIAL_'+$(this).val()).html($(this).closest('tr').index()+1);
			});
			mode_sum_number(path, sval, mode, ditem, dform, fow);
			eval('if (typeof delete_after_'+ditem+' == "function") delete_after_'+ditem+'("'+sval+'","'+ditem+'");');
		}
	}
}